# coding: utf-8
import requests
import json
import psycopg2
import uuid
import datetime  

# 获取当前日期  
current_date = datetime.date.today() 
previous_date = current_date - datetime.timedelta(days=1)
formatted_current_date = current_date.strftime("%Y-%m-%dT%H:%M:%SZ")  
formatted_previous_date = previous_date.strftime("%Y-%m-%dT%H:%M:%SZ") 

print('开始加载数据：custom_events_8:获取线索事件_click_link_in_page')
authUrl='https://api.huiju.cool/v2/oauth2/token?app_id=cl037b184ebccd97c&secret=deaa83fdd8d385eec0d1d04d34282c4ec8c33b60&grant_type=client_credentials'
 
print('开始请求令牌。')
authRequest=requests.get(authUrl)
auth=json.loads(authRequest.text)
print('开始请求数据总数。')
url='https://api.huiju.cool/v2/customerEvents'
header={}
body={'sort':'date','date[le]':formatted_current_date,'date[ge]':formatted_previous_date,'limit':'2000','event':'click_link_in_page','access_token':auth['access_token']}
dataReqL=requests.get(url,headers=header,params=body)
resL=json.loads(dataReqL.text)
# print(resL)
dataList=resL['data']
total=len(dataList)
conn = psycopg2.connect(database="dataops_db", user="dbuser_dops", password="MIgTi3jA",
                                host="172.17.0.8", port="5432")
print('数据库连接成功')
dataId=str(uuid.uuid4())
print('临时id：'+dataId)
json_object = json.dumps(dataList)
cur=conn.cursor()
sql="update data_api.api_data set is_loaded = '1' where api_id = 'b20bb19a-6ace-4d10-ab2b-4cdb3c0a';INSERT INTO data_api.api_data (id,api_id,data,total_num,is_loaded,status,request_tm,execute_tm,remark) values (%s,%s,%s,%s,'0','0',current_timestamp(0),current_timestamp(0),'')"
cur.execute(sql,[dataId,'b20bb19a-6ace-4d10-ab2b-4cdb3c0a',json_object,total])
conn.commit()
cur.close()
conn.close()
print('加载数据结束：custom_events_8:获取线索事件_click_link_in_page')